  
# Dapr 1.4.2

## Fixes

* Sidecar-injector.dapr.io was blocking Pod admissions if sidecar could not be injected (https://github.com/dapr/dapr/issues/3709)

### Overview

#### Issue #3709

When creating a new Pod where `sidecar-injector.dapr.io` cannot inject the Dapr sidecar, an error is thrown and the Pod cannot be created. This issue was surfaced in #3709 and #3699, although 1.4.1 fixes the issue in #3699 by allowing the Dapr sidecar to be injected.

For example, deploying with Tekton CICD would display the following error with this bug.
```
  - lastTransitionTime: '2021-09-24T07:48:19Z'
    message: >-
      failed to create task run pod
      "function-sample-builder-cgmn8-buildrun-nfkb8-nlbjs": admission webhook
      "sidecar-injector.dapr.io" denied the request: service account
      'system:serviceaccount:tekton-pipelines:tekton-pipelines-controller' not
      on the list of allowed controller accounts. Maybe invalid TaskSpec
    reason: CouldntGetTask
    status: 'False'
    type: Succeeded
```